%define major	2
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define oldlibname %mklibname %{name} 1

Name:		clalsadrv
Summary:	C++ access library for ALSA
Version:	2.0.0
Release:	%mkrel 3
Source:		http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/
Patch1:		clalsadrv-makefile.patch
License:	GPLv2
Group:		System/Libraries

BuildRequires:	pkgconfig(alsa)

%description
C++ access library for ALSA

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name} < %{version}-%{release}
Conflicts:	%{oldlibname}

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{devname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel < 2.0.0
Conflicts:	%oldlibname-devel

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q -n %{name}-%{version}
%apply_patches
cd libs
sed -i -e 's/\-O2/\$\(RPM_OPT_FLAGS\)/' Makefile
sed -i -e 's/\/sbin\/ldconfig/#\/sbin\/ldconfig/g' Makefile

%build
cd libs
%make
										
%install
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}
cd libs
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib}

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{devname}
%doc AUTHORS
%{_includedir}/*
%{_libdir}/*.so


%changelog

* Sat Mar 30 2013 rtp <rtp> 2.0.0-3.mga3
+ Revision: 406739
- Allow to override libdir to avoid broken sed rule on uname -m to find out
  lib64 vs lib
- Fix the makefile to allow to use DESTDIR

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 347804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 barjac <barjac> 2.0.0-1.mga3
+ Revision: 321939
- spec cleaned
- new version 2.0
- thanks to Philippe Didier
- Import from Mandriva


* Thu Jun 19 2008 Austin Acton <austin@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 226108
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-3mdv2008.1
+ Revision: 123177
- kill re-definition of %%buildroot on Pixel's request

  + Austin Acton <austin@mandriva.org>
    - Import clalsadrv



* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-3mdk
- fix buildrequires (and thus building on x86_64)

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-2mdk
- Fix BuildRequires
- %%mkrel

* Wed Aug 24 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- initial package
